# class GTT | Abstract SS7 SCCP GTT interface. More...
Full name | `TelEngine::GTT`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingComponent [virtual public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- GTT (const NamedList& config)
- virtual ~GTT ()
- virtual NamedList* routeGT (const NamedList& gt, const String& prefix, const String& nextPrefix)
- virtual bool initialize (const NamedList* config)
- virtual void attach (SCCP* sccp)
- virtual void updateTables (const NamedList& params)
- inline SCCP* sccp () const

#### Protected Methods

- virtual void destroyed ()

## Detailed Description

An interface to a SS7 SCCP Global Title Translation

GTT (const NamedList& config) | ### GTT

Constructor

~GTT () | ### ~GTT

[virtual]

Destructor

NamedList* routeGT (const NamedList& gt, const String& prefix, const String& nextPrefix) | ### routeGT

[virtual]

Route a SCCP message based on Global Title

Parameters:

gt | The original global title used for message routing
prefix | Optional prefix for gt params
nextPrefix | Optional prefix for gt params

Returns: A new SCCP called party address or null if no route was found.

bool initialize (const NamedList* config) | ### initialize

[virtual]

Initialize this GTT

Reimplemented from SignallingComponent.

void attach (SCCP* sccp) | ### attach

[virtual]

Attach a SCCP to us

Parameters:

sccp | Pointer to the SCCP to use

void updateTables (const NamedList& params) | ### updateTables

[virtual]

Request to update Translations tables. Called when a remote pointcode or ssn has become reachable / unreachable

Parameters:

params | List of parameters that fired this request

inline SCCP* sccp () | ### sccp

[const]

Retrieve the SCCP attached to this translator

Returns: Pointer to the attached SCCP

void destroyed () | ### destroyed

[protected virtual]

Reimplemented from SignallingComponent.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.